summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/strace/get-strace.sh50
-rwxr-xr-xsource/d/strace/strace.SlackBuild9
-rwxr-xr-xsource/l/alsa-plugins/alsa-plugins.SlackBuild6
-rw-r--r--source/l/alsa-plugins/alsa-plugins.a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9.patch34
-rw-r--r--source/l/alsa-plugins/alsa-plugins.revert.fc3f5d51062ff438780e568995792dc809c908cc.6b996865126dd559ef186002e45dc6e1594291e7.patch64
-rw-r--r--source/n/httpd/httpd.url4
-rwxr-xr-xsource/n/mcabber/mcabber.SlackBuild6
-rwxr-xr-xsource/x/libepoxy/libepoxy.SlackBuild2
-rw-r--r--source/xap/audacious-plugins/slack-desc2
-rw-r--r--source/xap/audacious/slack-desc2
-rwxr-xr-xsource/xap/pan/pan.SlackBuild6
11 files changed, 105 insertions, 80 deletions
diff --git a/source/d/strace/get-strace.sh b/source/d/strace/get-strace.sh
new file mode 100755
index 000000000..d31d33a41
--- /dev/null
+++ b/source/d/strace/get-strace.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+PKGNAM=strace
+
+# Clear download area:
+rm -rf ${PKGNAM}
+
+# Clone repository:
+git clone git://github.com/strace/${PKGNAM}
+
+# checkout $BRANCH:
+( cd ${PKGNAM}
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd ${PKGNAM} && git log -1 --format=%h )"
+DATE="$( cd ${PKGNAM} && git log -1 --format=%ad --date=format:%Y%m%d )"
+# Cleanup. We're not packing up the whole git repo.
+( cd ${PKGNAM} && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv ${PKGNAM} ${PKGNAM}-${DATE}_${HEADISAT}
+tar cf ${PKGNAM}-${DATE}_${HEADISAT}.tar ${PKGNAM}-${DATE}_${HEADISAT}
+plzip -9 -f ${PKGNAM}-${DATE}_${HEADISAT}.tar
+rm -rf ${PKGNAM}-${DATE}_${HEADISAT}
+echo
+echo "${PKGNAM} branch $BRANCH with HEAD at $HEADISAT packaged as ${PKGNAM}-${DATE}_${HEADISAT}.tar.lz"
+echo
+
diff --git a/source/d/strace/strace.SlackBuild b/source/d/strace/strace.SlackBuild
index bc5309dc3..d3d86368c 100755
--- a/source/d/strace/strace.SlackBuild
+++ b/source/d/strace/strace.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=strace
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -64,7 +64,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf strace-$VERSION
-tar xvf $CWD/strace-$VERSION.tar.xz || exit 1
+tar xvf $CWD/strace-$VERSION.tar.?z || exit 1
cd strace-$VERSION || exit 1
chown -R root:root .
find . \
@@ -73,6 +73,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -x configure ]; then
+ ./bootstrap
+ autoreconf -vif
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/l/alsa-plugins/alsa-plugins.SlackBuild b/source/l/alsa-plugins/alsa-plugins.SlackBuild
index a64db3310..dc4ed9845 100755
--- a/source/l/alsa-plugins/alsa-plugins.SlackBuild
+++ b/source/l/alsa-plugins/alsa-plugins.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alsa-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -77,8 +77,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
-# Revert two patches that are breaking USB audio:
-zcat $CWD/alsa-plugins.revert.fc3f5d51062ff438780e568995792dc809c908cc.6b996865126dd559ef186002e45dc6e1594291e7.patch.gz | patch -p1 -R --verbose || exit 1
+# Upstream fix for USB devices causing a double free:
+zcat $CWD/alsa-plugins.a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9.patch.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/alsa-plugins/alsa-plugins.a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9.patch b/source/l/alsa-plugins/alsa-plugins.a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9.patch
new file mode 100644
index 000000000..9b3a81599
--- /dev/null
+++ b/source/l/alsa-plugins/alsa-plugins.a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9.patch
@@ -0,0 +1,34 @@
+From a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9 Mon Sep 17 00:00:00 2001
+From: Jaroslav Kysela <perex@perex.cz>
+Date: Tue, 23 Oct 2018 09:32:46 +0200
+Subject: [PATCH] a52_close: set slave to NULL to avoid double pcm free in
+ open fcn
+
+Signed-off-by: Jaroslav Kysela <perex@perex.cz>
+---
+ a52/pcm_a52.c | 7 +++++--
+ 1 file changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/a52/pcm_a52.c b/a52/pcm_a52.c
+index e431fd0..b005bc2 100644
+--- a/a52/pcm_a52.c
++++ b/a52/pcm_a52.c
+@@ -654,10 +654,13 @@ static int a52_poll_revents(snd_pcm_ioplug_t *io, struct pollfd *pfd,
+ static int a52_close(snd_pcm_ioplug_t *io)
+ {
+ struct a52_ctx *rec = io->private_data;
++ snd_pcm_t *slave = rec->slave;
+
+ a52_free(rec);
+- if (rec->slave)
+- return snd_pcm_close(rec->slave);
++ if (slave) {
++ rec->slave = NULL;
++ return snd_pcm_close(slave);
++ }
+ return 0;
+ }
+
+--
+1.7.11.7
+
diff --git a/source/l/alsa-plugins/alsa-plugins.revert.fc3f5d51062ff438780e568995792dc809c908cc.6b996865126dd559ef186002e45dc6e1594291e7.patch b/source/l/alsa-plugins/alsa-plugins.revert.fc3f5d51062ff438780e568995792dc809c908cc.6b996865126dd559ef186002e45dc6e1594291e7.patch
deleted file mode 100644
index a138ae3ac..000000000
--- a/source/l/alsa-plugins/alsa-plugins.revert.fc3f5d51062ff438780e568995792dc809c908cc.6b996865126dd559ef186002e45dc6e1594291e7.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-From fc3f5d51062ff438780e568995792dc809c908cc Mon Sep 17 00:00:00 2001
-From: Andre Guedes <andre.guedes@intel.com>
-Date: Fri, 28 Sep 2018 14:27:24 -0700
-Subject: [PATCH] a52: Fix leaks when a52_set_hw_constraint() fails
-
-If a52_set_hw_constraint() returns error, we leak 'rec' and
-'rec->slave'. This patch fixes the issue by jumping to 'error' label
-where the proper clean up is already done.
-
-Signed-off-by: Andre Guedes <andre.guedes@intel.com>
-Reviewed-by: Takashi Sakamoto <o-takashi@sakamocchi.jp>
-Signed-off-by: Takashi Iwai <tiwai@suse.de>
----
- a52/pcm_a52.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/a52/pcm_a52.c b/a52/pcm_a52.c
-index 29ce45f..e431fd0 100644
---- a/a52/pcm_a52.c
-+++ b/a52/pcm_a52.c
-@@ -978,7 +978,7 @@ SND_PCM_PLUGIN_DEFINE_FUNC(a52)
-
- if ((err = a52_set_hw_constraint(rec)) < 0) {
- snd_pcm_ioplug_delete(&rec->io);
-- return err;
-+ goto error;
- }
-
- *pcmp = rec->io.pcm;
---
-1.7.11.7
-
-From 6b996865126dd559ef186002e45dc6e1594291e7 Mon Sep 17 00:00:00 2001
-From: Andre Guedes <andre.guedes@intel.com>
-Date: Fri, 28 Sep 2018 14:27:27 -0700
-Subject: [PATCH] usb_stream: Fix leaks when us_set_hw_constraint() fails
-
-If us_set_hw_constraint() returns error, we leak the 'us' object and all
-the resources referenced by it. This patch fixes the issue by calling
-us_free() before returning.
-
-Signed-off-by: Andre Guedes <andre.guedes@intel.com>
-Reviewed-by: Takashi Sakamoto <o-takashi@sakamocchi.jp>
-Signed-off-by: Takashi Iwai <tiwai@suse.de>
----
- usb_stream/pcm_usb_stream.c | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/usb_stream/pcm_usb_stream.c b/usb_stream/pcm_usb_stream.c
-index 94c83a7..eb4ca98 100644
---- a/usb_stream/pcm_usb_stream.c
-+++ b/usb_stream/pcm_usb_stream.c
-@@ -455,6 +455,7 @@ static int snd_pcm_us_open(snd_pcm_t **pcmp, const char *name,
- err = us_set_hw_constraint(us);
- if (err < 0) {
- snd_pcm_ioplug_delete(&us->io);
-+ us_free(us);
- return err;
- }
-
---
-1.7.11.7
-
-
diff --git a/source/n/httpd/httpd.url b/source/n/httpd/httpd.url
index f9402a477..2926d2a51 100644
--- a/source/n/httpd/httpd.url
+++ b/source/n/httpd/httpd.url
@@ -1,2 +1,2 @@
-http://www.apache.org/dist/httpd/httpd-2.4.35.tar.bz2
-http://www.apache.org/dist/httpd/httpd-2.4.35.tar.bz2.asc
+http://www.apache.org/dist/httpd/httpd-2.4.37.tar.bz2
+http://www.apache.org/dist/httpd/httpd-2.4.37.tar.bz2.asc
diff --git a/source/n/mcabber/mcabber.SlackBuild b/source/n/mcabber/mcabber.SlackBuild
index 23bf58c00..706c460a0 100755
--- a/source/n/mcabber/mcabber.SlackBuild
+++ b/source/n/mcabber/mcabber.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mcabber
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -67,7 +67,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION
# Make sure ownerships and permissions are sane:
diff --git a/source/x/libepoxy/libepoxy.SlackBuild b/source/x/libepoxy/libepoxy.SlackBuild
index 41b061ca8..6ef387ab1 100755
--- a/source/x/libepoxy/libepoxy.SlackBuild
+++ b/source/x/libepoxy/libepoxy.SlackBuild
@@ -79,7 +79,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-#./autogen.sh
+./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/source/xap/audacious-plugins/slack-desc b/source/xap/audacious-plugins/slack-desc
index db0c5e345..b5e6d50af 100644
--- a/source/xap/audacious-plugins/slack-desc
+++ b/source/xap/audacious-plugins/slack-desc
@@ -11,7 +11,7 @@ audacious-plugins:
audacious-plugins: This is a collection of plugins for Audacious to support additional
audacious-plugins: media formats.
audacious-plugins:
-audacious-plugins: The webpage for Audacious is: http://www.audacious-media-player.org
+audacious-plugins: Homepage: http://www.audacious-media-player.org
audacious-plugins:
audacious-plugins:
audacious-plugins:
diff --git a/source/xap/audacious/slack-desc b/source/xap/audacious/slack-desc
index ae3bebb52..ff1bebb4d 100644
--- a/source/xap/audacious/slack-desc
+++ b/source/xap/audacious/slack-desc
@@ -15,5 +15,5 @@ audacious: MPEG audio, Ogg Vorbis, RIFF wav, most module formats, and a few
audacious: other formats. Audacious can be extended through plugins to play a
audacious: number of other audio and video formats.
audacious:
-audacious: The webpage for Audacious is: http://www.audacious-media-player.org
+audacious: Homepage: http://www.audacious-media-player.org
audacious:
diff --git a/source/xap/pan/pan.SlackBuild b/source/xap/pan/pan.SlackBuild
index 1d281f9fe..229820f4b 100755
--- a/source/xap/pan/pan.SlackBuild
+++ b/source/xap/pan/pan.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pan
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -64,7 +64,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane: